:root {
    --root-font: 16px;

    --default-font-family: 'Electrolux Sans';

    --font-family-electrolux-light: 'Electrolux Sans Light';
    --font-family-electrolux-light-oblique: 'Electrolux Sans Light Oblique';
    --font-family-electrolux-bold: 'Electrolux Sans Bold';
    --font-family-electrolux-bold-bold-oblique: 'Electrolux Sans Bold Oblique';
}

body { 
    font-size: var(--root-font);
}

.font-electrolux-light {
    font-family: var(--font-family-electrolux-light);
}

.font-electrolux-bold {
    font-family: var(--font-family-electrolux-bold);
}

.text-uppercase {
    text-transform: uppercase;
}

.text-white {
    color: white;
}

.text-electrolux-gray-100 {
    color: var(--color-electrolux-gray-100);
}

.text-electrolux-gray-200 {
    color: var(--color-electrolux-gray-200);
}

.text-electrolux-gray-300 {
    color: var(--color-electrolux-gray-300);
}

.text-electrolux-gray-400 {
    color: var(--color-electrolux-gray-400);
}

.text-electrolux-blue-900 {
    color: var(--color-electrolux-blue-900);
}

#electrolux-hero-content h1 {
    /* font-size: 15px; */
    font-size: 0.938em;
}

#electrolux-hero-aside-intro p,
#electrolux-technical-details #technical-details-text #technical-info p {
    /* font-size: 14px; */
    font-size: 0.875em;
}

#electrolux-autosense #autosense-text h2,
#electrolux-hortinatura #hortinatura-text h3,
#electrolux-fastadapt #fastadapt-text h4,
#electrolux-extrafresh #extrafresh-title-wrapper h4 {
    /* font-size: 20px; */
    font-size: 1.25em;
}

#electrolux-autosense #autosense-text p {
    /* font-size: 13px; */
    font-size: 0.813em;
}

#electrolux-hortinatura #hortinatura-text p,
#electrolux-fastadapt #fastadapt-text p {
    /* font-size: 14px; */
    font-size: 0.875em;
}

#autosense-paragraph-wrapper {
    text-align: center;
}

#electrolux-technical-details #technical-details-text #technical-info p {
    /* font-size: 16px; */
    font-size: 1em;
}

#electrolux-footer #footer-info p {
    /* font-size: 8px; */
    font-size: 0.5em;
}

@media screen and (min-width: 425px) {
    #electrolux-hero-content h1 {
        /* font-size: 18px; */
        font-size: 1.125em;
    }

    #electrolux-hero-aside-intro p,
    #electrolux-technical-details #technical-table h6 {
        /* font-size: 17px; */
        font-size: 1.063em;
    }

    #electrolux-autosense #autosense-text h2,
    #electrolux-hortinatura #hortinatura-text h3,
    #electrolux-fastadapt #fastadapt-text h4,
    #electrolux-extrafresh #extrafresh-title-wrapper h4,
    #electrolux-technical-details #technical-details-text #technical-table h4,
    #electrolux-details #details-carousel #slides-wrapper .swiper-slide p,
    #text-blocker {
        /* font-size: 25px; */
        font-size: 1.563em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper h5 {
        /* font-size: 28px; */
        font-size: 1.75em;
    }

    #electrolux-technical-details #technical-details-text #technical-info p {
        /* font-size: 18px; */
        font-size: 1.125em;
    }
}

@media screen and (min-width: 768px) {
    #electrolux-hero-content h1 {
        /* font-size: 32px; */
        font-size: 2em;
    }

    #electrolux-hero-aside-intro p,
    #electrolux-technical-details #technical-details-text #technical-info p,
    #electrolux-technical-details #technical-table h6 {
        /* font-size: 30px; */
        font-size: 1.875em;
    }

    #electrolux-autosense #autosense-text h2,
    #electrolux-hortinatura #hortinatura-text h3,
    #electrolux-fastadapt #fastadapt-text h4,
    #electrolux-extrafresh #extrafresh-title-wrapper h4,
    #electrolux-details #details-carousel #slides-wrapper .swiper-slide p,
    #text-blocker {
        /* font-size: 44px; */
        font-size: 2.75em;
    }

    #electrolux-autosense #autosense-text p,
    #electrolux-hortinatura #hortinatura-text p,
    #electrolux-fastadapt #fastadapt-text p {
        /* font-size: 28px; */
        font-size: 1.75em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper h5,
    #electrolux-technical-details #technical-details-text #technical-table h4 {
        /* font-size: 40px; */
        font-size: 2.5em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper p,
    #electrolux-technical-details #technical-table p {
        /* font-size: 28px; */
        font-size: 1.75em;
    }
}

@media screen and (min-width: 980px) {
    #electrolux-hero-content h1 {
        /* font-size: 17px; */
        font-size: 1.063em;
    }

    #electrolux-hero-aside-intro p,
    #electrolux-technical-details #technical-details-text #technical-info p,
    #electrolux-technical-details #technical-table h6 {
        /* font-size: 16px; */
        font-size: 1em;
    }

    #electrolux-autosense #autosense-text h2,
    #electrolux-hortinatura #hortinatura-text h3,
    #electrolux-fastadapt #fastadapt-text h4,
    #electrolux-extrafresh #extrafresh-title-wrapper h4,
    #electrolux-details #details-carousel #slides-wrapper .swiper-slide p,
    #text-blocker {
        /* font-size: 30px; */
        font-size: 1.875em;
    }

    #electrolux-autosense #autosense-text p,
    #electrolux-hortinatura #hortinatura-text p,
    #electrolux-fastadapt #fastadapt-text p,
    #electrolux-technical-details #technical-details-text #technical-table h4 {
        /* font-size: 20px; */
        font-size: 1.25em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper h5 {
        /* font-size: 24px; */
        font-size: 1.5em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper p {
        /* font-size: 16px; */
        font-size: 1em;
    }

    #electrolux-technical-details #technical-table p {
        /* font-size: 16px; */
        font-size: 1em;
    }
}

@media screen and (min-width: 1200px) {
    #electrolux-hero-content h1 {
        /* font-size: 20px; */
        font-size: 1.25em;
    }

    #electrolux-hero-aside-intro p,
    #electrolux-technical-details #technical-details-text #technical-info p,
    #electrolux-technical-details #technical-table h6 {
        /* font-size: 18px; */
        font-size: 1.125em;
    }

    #electrolux-autosense #autosense-text h2,
    #electrolux-hortinatura #hortinatura-text h3,
    #electrolux-fastadapt #fastadapt-text h4,
    #electrolux-extrafresh #extrafresh-title-wrapper h4,
    #electrolux-details #details-carousel #slides-wrapper .swiper-slide p,
    #text-blocker {
        /* font-size: 34px; */
        font-size: 2.125em;
    }

    #electrolux-autosense #autosense-text p,
    #electrolux-hortinatura #hortinatura-text p,
    #electrolux-fastadapt #fastadapt-text p,
    #electrolux-technical-details #technical-details-text #technical-table h4 {
        /* font-size: 24px; */
        font-size: 1.5em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper h5 {
        /* font-size: 28px; */
        font-size: 1.75em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper p,
    #electrolux-technical-details #technical-table p {
        /* font-size: 18px; */
        font-size: 1.125em;
    }

    #electrolux-footer #footer-info p {
        /* font-size: 9px; */
        font-size: 0.563em;
    }
}

@media screen and (min-width: 1374px) {
    #electrolux-hero-content h1 {
        /* font-size: 23px; */
        font-size: 1.438em;
    }

    #electrolux-hero-aside-intro p,
    #electrolux-technical-details #technical-details-text #technical-info p,
    #electrolux-technical-details #technical-table h6 {
        /* font-size: 21px; */
        font-size: 1.313em;
    }

    #electrolux-autosense #autosense-text h2,
    #electrolux-hortinatura #hortinatura-text h3,
    #electrolux-fastadapt #fastadapt-text h4,
    #electrolux-extrafresh #extrafresh-title-wrapper h4,
    #electrolux-details #details-carousel #slides-wrapper .swiper-slide p,
    #text-blocker {
        /* font-size: 38px; */
        font-size: 2.375em;
    }

    #electrolux-autosense #autosense-text p,
    #electrolux-hortinatura #hortinatura-text p,
    #electrolux-fastadapt #fastadapt-text p,
    #electrolux-technical-details #technical-details-text #technical-table h4 {
        /* font-size: 28px; */
        font-size: 1.75em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper h5 {
        /* font-size: 32px; */
        font-size: 2em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper p {
        /* font-size: 21px; */
        font-size: 1.313em;
    }

    #electrolux-technical-details #technical-table p {
        /* font-size: 20px; */
        font-size: 1.25em;
    }
}

@media screen and (min-width: 1440px) {
    #electrolux-hero-content h1 {
        /* font-size: 24px; */
        font-size: 1.5em;
    }

    #electrolux-hero-aside-intro p,
    #electrolux-technical-details #technical-details-text #technical-info p,
    #electrolux-technical-details #technical-table h6 {
        /* font-size: 22px; */
        font-size: 1.375em;
    }

    #electrolux-autosense #autosense-text h2,
    #electrolux-hortinatura #hortinatura-text h3,
    #electrolux-fastadapt #fastadapt-text h4,
    #electrolux-extrafresh #extrafresh-title-wrapper h4,
    #electrolux-details #details-carousel #slides-wrapper .swiper-slide p,
    #text-blocker {
        /* font-size: 44px; */
        font-size: 2.75em;
    }

    #electrolux-autosense #autosense-text p,
    #electrolux-hortinatura #hortinatura-text p,
    #electrolux-fastadapt #fastadapt-text p,
    #electrolux-technical-details #technical-details-text #technical-table h4 {
        /* font-size: 30px; */
        font-size: 1.875em;
    }

    #electrolux-extrafresh #extrafresh-text-wrapper p {
        /* font-size: 24px; */
        font-size: 1.5em;
    }

    #electrolux-technical-details #technical-table p {
        /* font-size: 20px; */
        font-size: 1.25em;
    }
}
